%define alibversion 1.1.3
%define beta	0
%if %{beta}
%define fname	%{name}-%{version}%beta
%else
%define fname	%{name}-%{version}
%endif

Summary:	Advanced Linux Sound Architecture (ALSA) utilities
Name:		alsa-utils
Version:	1.1.3
%if %{beta}
Release:	%mkrel 0.%{beta}.4
%else
Release:	%mkrel 1
%endif
Source:		ftp://ftp.alsa-project.org/pub/utils/%{fname}.tar.bz2
Patch0:		alsa-utils-1.0.27.2-po.patch 
Patch0500:	0500-init-Mute-Beep-by-default.-It-s-annoying.patch
License:	GPLv2
Group:		Sound/Utilities
Url:		http://www.alsa-project.org

BuildRequires:	kernel-headers >= 2.4.0
BuildRequires:	pkgconfig(alsa) >= %{alibversion}
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(ncurses) 
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	xmlto
BuildRequires:	systemd-units
BuildRequires:	docbook-style-xsl
Requires:	%{_lib}alsa2 >= 2:%{alibversion}
# dependancies for alsaconf:
Requires:	pciutils
Requires(pre):	filesystem >= 2.1.9-18
Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Conflicts:	sound-scripts < 0.61-2

%description
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the utilities package, which allows you to manipulate ALSA settings.

%package -n	speaker-test
Summary:	ALSA test tool
Group:		Sound/Utilities
Requires:	alsa-utils

%description -n	speaker-test
speaker-test is a tool that enables one to test his head phones.

%package -n	alsaconf
Summary:	ALSA configuration tool
Group:		Sound/Utilities
Requires:	alsa-utils
Requires:	whiptail
Requires:	cdialog

%description -n	alsaconf
Alsaconf is a tool that enables one to configure his sound card with ALSA.
It's often not not needed as %{_vendor} will autoconfigure sound cards.

%prep
%setup -q -n %{fname}
%autopatch -p1

%build
%configure2_5x --with-systemdsystemunitdir=%{_unitdir} \
	       --with-udev-rules-dir=%{_udevrulesdir}

make all

%install
%makeinstall_std mkdir_p="mkdir -p"

%find_lang alsaconf
%find_lang alsa-utils
cat alsa-utils.lang >> alsaconf.lang

install -d %{buildroot}%{_localstatedir}/lib/alsa/
touch %{buildroot}%{_localstatedir}/lib/alsa/asound.state

%pre
# (cg) When first installed/upgraded add the state-daemon config file.
if [ ! -r %{_unitdir}/alsa-state.service ]; then
  if [ ! -d %{_sysconfdir}/alsa ]; then
    mkdir -m 0755 /etc/alsa
  fi
  echo "# Remove this file to disable the alsactl daemon mode" > %{_sysconfdir}/alsa/state-daemon.conf
fi

%post
if [ -s /etc/asound.state -a ! -s /var/lib/alsa/asound.state ] ; then
   mv /etc/asound.state /var/lib/alsa/asound.state
fi

%files
%doc COPYING INSTALL README TODO
%{_unitdir}/alsa-restore.service
%{_unitdir}/alsa-state.service
%{_unitdir}/basic.target.wants/alsa-restore.service
%{_unitdir}/basic.target.wants/alsa-state.service
%{_bindir}/[a-i]*
%{_sbindir}/alsactl
%{_sbindir}/alsabat-test.sh
%{_sbindir}/alsa-info.sh
%{_mandir}/man1/[a-i]*
%{_mandir}/man7/alsactl_init.7*
%{_datadir}/alsa/
%dir %{_localstatedir}/lib/alsa/
%{_udevrulesdir}/90-alsa-restore.rules
%ghost %{_localstatedir}/lib/alsa/asound.state

%files -n speaker-test
%{_bindir}/speaker-test
%{_mandir}/man1/speaker-test.*
%{_datadir}/sounds/alsa/

%files -n alsaconf -f alsaconf.lang
%{_sbindir}/alsaconf
%{_mandir}/man8/alsaconf.*
%lang(fr) %{_mandir}/fr/man8/alsaconf.*


%changelog
* Thu Dec 22 2016 luigiwalser <luigiwalser> 1.1.3-1.mga6
+ Revision: 1076505
- 1.1.3

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.1.2-1.mga6
+ Revision: 1045663
- 1.1.2

* Fri Apr 01 2016 tv <tv> 1.1.1-1.mga6
+ Revision: 997372
- adjust file list
- new release

* Thu Dec 31 2015 luigiwalser <luigiwalser> 1.1.0-1.mga6
+ Revision: 917364
- alsa-store service obsoleted by other services

  + tv <tv>
    - switch to pkgconfig() BRs
    - BR pkgconfig(fftw3)
    - 1.1.0

* Wed Sep 23 2015 blino <blino> 1.0.29-2.mga6
+ Revision: 882299
- replace locale-dependent glob with explicit file list for doc (and skip ABOUT-NLS)

* Tue Jun 23 2015 luigiwalser <luigiwalser> 1.0.29-1.mga6
+ Revision: 841047
- fix files list

  + tv <tv>
    - new release

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Wed Jun 18 2014 tv <tv> 1.0.28-1.mga5
+ Revision: 637901
- drop merged patches
- new release

* Sat Jun 07 2014 pterjan <pterjan> 1.0.27.2-4.mga5
+ Revision: 634375
- Add missing Language header in po files

  + colin <colin>
    - Use the proper udev rules dir macro

* Tue Apr 15 2014 colin <colin> 1.0.27.2-3.mga5
+ Revision: 615123
- Fix udev rules dir (spotted by David Walser)

* Wed Jan 15 2014 colin <colin> 1.0.27.2-2.mga4
+ Revision: 566643
- Fix some alsactl bugs (upstream patches)
- Use the alsa-state daemon rather than the one-shot alsa-state service as it runs too often

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jul 14 2013 luigiwalser <luigiwalser> 1.0.27.2-1.mga4
+ Revision: 454106
- 1.0.27.2

* Fri May 24 2013 tv <tv> 1.0.27.1-1.mga4
+ Revision: 426578
- adjust file list
- adjust file list
- new release
- new release

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 barjac <barjac> 1.0.26-2.mga3
+ Revision: 319997
- Changed group(s) in line with new policy
- spec clean

* Wed Sep 12 2012 fwang <fwang> 1.0.26-1.mga3
+ Revision: 292485
- new version 1.0.26

* Sat Sep 01 2012 eatdirt <eatdirt> 1.0.25-6.mga3
+ Revision: 287078
- Rebuild for new libncurses (cs_map size mismatch)

* Sat Jul 21 2012 colin <colin> 1.0.25-5.mga3
+ Revision: 273158
- Update for usrmove

* Mon Apr 30 2012 colin <colin> 1.0.25-4.mga2
+ Revision: 234304
- Hopefully silence annoying Beep control on first boot (mga#5183)
- Do not use fake systemd units, let sound-scripts mask them properly.

* Sat Apr 28 2012 tmb <tmb> 1.0.25-3.mga2
+ Revision: 233765
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 tmb <tmb> 1.0.25-2.mga2
+ Revision: 233492
- rebuild for versioned rpm-helper requires

* Thu Jan 26 2012 colin <colin> 1.0.25-1.mga2
+ Revision: 201811
- Add systemdunitdir configure argument
- Fix build related to systemd units.
- Add BR on docbook-style-xsl
- New version: 1.0.25

* Sat Sep 17 2011 colin <colin> 1.0.24.2-5.mga2
+ Revision: 144549
- Add official systemd units
- Add dummy systemd units to override sound-scripts package

  + dmorgan <dmorgan>
    - Fix specfile w//o systemd

* Sun Jul 17 2011 dmorgan <dmorgan> 1.0.24.2-4.mga2
+ Revision: 125307
- Enable systemd

* Sat May 21 2011 ahmad <ahmad> 1.0.24.2-3.mga1
+ Revision: 99993
- Replace a reference to mandriva with Mageia

* Tue Apr 05 2011 ahmad <ahmad> 1.0.24.2-2.mga1
+ Revision: 80923
- don't install the udev rule here yet it'll be useful coupled with systemd,
  we don't have systemd yet;
  ACK'ed by coling
- drop patches, applied upstream
- drop _with_systemd macro, meta-task has already been fixed to prefer sysvinit
  over systemd-sysvinit in the chroots
- create (and own) /var/lib/alsa/, for alsactl to be able to use/touch asound.state
- add a %%post section to mv /etc/asound.state to /var/lib/alsa (Fedora)
- install the udev rules (they're not systemd-related)

* Tue Mar 08 2011 ahmad <ahmad> 1.0.24.2-1.mga1
+ Revision: 66685
- add one more _with_system switch to fix build
- update to 1.0.24.2 (couldn't find a 1.0.24.1 tarball in upstream ftp)
- alibversion is 1.0.24.1
- fix license
- require '%%{_lib}alsa >= 2:%%alibversion'; the alsa-lib provides from libalsa2
  isn't versionated
- fix the file list

* Tue Jan 25 2011 dmorgan <dmorgan> 1.0.23-4.mga1
+ Revision: 39185
- Backport mdv commit 632514 ( systemd support ( disable for now ) )

* Sun Jan 09 2011 ahmad <ahmad> 1.0.23-3.mga1
+ Revision: 1638
- imported package alsa-utils

